View Issue Details

IDProjectCategoryLast Update
0020907AI War 2[All Projects] Gameplay IssueApr 18, 2019 1:12 pm
ReporterAnnoyingOrangeAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.811 Transport Ships 
Fixed in VersionBETA 0.850 The Arrival of Fleets 
Summary0020907: Transport ships delete control groups and build queues
DescriptionSteps to reproduce: start a new game, with Gyrn as your Ark.
Add Gyrn to control group 1, set it to rally built ships to control group 1, and add some ship to its build queue (assault starships, for example).
Wait for the Gyrn to finish building, then build a transport ship, then order the control group 1 to enter the transport ship.
After all ships are in the transport, eject them.
Expected result: the ejected ships are still part of control group 1, and the Gyrn has the same build queue and rally settings as before.
Observed result: the ships are no longer part of control group 1, and the Gyrn has nothing in its build queue and no rally settings.
TagsNo tags attached.

Relationships

related to 0020934 resolvedx4000Bughunter Units regenerated by the Regen Golem lose their control group 
related to 0020937 new Include a "unload" button in the UI for transports 

Activities

x4000Bughunter

Apr 18, 2019 1:12 pm

administrator   ~0051067

Rally points (all the rally stuff) is completely redone in 0.850 and all seems to work fine! Woohoo!

Issue History

Date Modified Username Field Change
Feb 4, 2019 5:57 am AnnoyingOrange New Issue
Feb 4, 2019 9:01 am BadgerBadger Assigned To => x4000Bughunter
Feb 4, 2019 9:01 am BadgerBadger Status new => assigned
Feb 25, 2019 4:03 pm BadgerBadger Relationship added related to 0020934
Feb 27, 2019 11:24 am BadgerBadger Relationship added related to 0020937
Apr 18, 2019 1:12 pm x4000Bughunter Status assigned => resolved
Apr 18, 2019 1:12 pm x4000Bughunter Resolution open => fixed
Apr 18, 2019 1:12 pm x4000Bughunter Fixed in Version => BETA 0.850 The Arrival of Fleets
Apr 18, 2019 1:12 pm x4000Bughunter Note Added: 0051067